PHP ��U
前一頁 |  | 下一頁

# mysql_create_db

(PHP 3, PHP 4, PHP 5)

mysql_create_db -- Create a MySQL database

## Description

bool mysql_create_db ( string database_name [, resource link_identifier] )

mysql_create_db() attempts to create a new database on the server associated with the specified link identifier.

## Parameters

database_name

  The name of the database being created.

link_identifier

  The MySQL connection. If the link identifier is not specified, the last link opened by mysql_connect() is assumed. If no such link is found, it will try to create one as if mysql_connect() was called with no arguments. If by chance no connection is found or established, an `E_WARNING` level warning is generated.

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

## �d��

範例 1. mysql_create_db() alternative example

The function mysql_create_db() is deprecated. It is preferable to use mysql_query() to issue a sql CREATE DATABASE statement instead.

`<?php $link = mysql_connect('localhost', 'mysql_user', 'mysql_password'); if (!$link) { die('Could not connect: ' . mysql_error()); } $sql = 'CREATE DATABASE my_db'; if (mysql_query($sql, $link)) { echo "Database my_db created successfully\n"; } else { echo 'Error creating database: ' . mysql_error() . "\n"; } ?>`

The above example will output something similar to:

    Database my_db created successfully

## Notes

> 注: For downward compatibility, the following deprecated alias may be used: mysql_createdb()

> 注: This function will not be available if the MySQL extension was built against a MySQL 4.x client library.

## �Ѧ�

mysql_query()
mysql_select_db()

前一頁 | 內容 | 下一頁
mysql_connect | 上一層 | mysql_data_seek